post
/v1/iam/groupsCreate group
Create a new group in the current organization
Request Body
requiredContent-Type: application/json
name
stringrequireddescription
stringoptionalResponses
201
Group created
Content-Type: application/json
group
objectoptional400
Invalid request parameters
Content-Type: application/json
error
objectrequired401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired409
Resource conflict (e.g., already exists, invalid state)
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X POST "https://api.spo1.mycloud.com/v1/iam/groups" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json" \-d '{"name": "developers","description": "string"}'
Response
Group created
{"group": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:group:550e8400-e29b-41d4-a716-446655440000","name": "developers","description": "Development team members","member_count": 0,"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}